"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.variableRenderer = void 0;
const react_1 = __importDefault(require("react"));
const semantics_entities_semantic_schema_1 = require("@teambit/semantics.entities.semantic-schema");
const api_reference_models_api_node_renderer_1 = require("@teambit/api-reference.models.api-node-renderer");
const api_reference_renderers_api_node_details_1 = require("@teambit/api-reference.renderers.api-node-details");
exports.variableRenderer = {
    predicate: (node) => node.__schema === semantics_entities_semantic_schema_1.VariableLikeSchema.name,
    Component: VariableComponent,
    nodeType: 'Variables',
    icon: { name: 'Variable', url: 'https://static.bit.dev/api-reference/variable.svg' },
    default: true,
};
function VariableComponent(props) {
    var _a;
    const api = props.apiNode.api;
    if (props.depth) {
        const type = api.type;
        const typeRenderer = props.renderers.find((renderer) => renderer.predicate(type));
        return typeRenderer ? (react_1.default.createElement(typeRenderer.Component, Object.assign({}, props, { apiNode: Object.assign(Object.assign({}, props.apiNode), { api: type, renderer: typeRenderer }), depth: ((_a = props.depth) !== null && _a !== void 0 ? _a : 0) + 1, metadata: { [type.__schema]: { columnView: true } } }))) : (react_1.default.createElement("div", { className: api_reference_models_api_node_renderer_1.nodeStyles.node }, type.toString()));
    }
    return react_1.default.createElement(api_reference_renderers_api_node_details_1.APINodeDetails, Object.assign({}, props));
}
//# sourceMappingURL=variable.renderer.js.map